+ Start a Discussion
TheMythicalTheMythical 

The latest Force.com IDE doesn't work

Hey,

 

Recently, I install the Force.com IDE plug-in for eclipse, but there are some problems. My eclipse version is Ganemyde, force.com IDE version is 16.0. After refreshing files from server (I have 30-40 metadata files), every five minutes, my IDE becomes extremely slow, after sometime it says Internal Error: Out of Memory. Do you like to exit the IDE? I don't know why this will happen like every 5-8 mins. Any idea?

 

Mythical 

TheMythicalTheMythical

I try to install Force.com IDE on Europa (3.3.2), it says Force.com IDE (16.0.0.200906151227) requires plug-in "org.apache.xerces (2.0.0)", or compatible.

 

 

JonPJonP

This is in Eclipse's installation manager?  Did you download Eclipse for Java Developers, or a different build?


I just reinstalled the IDE into a fresh Eclipse 3.3.2 for Java Developers on Mac OS X 10.5, making sure to include the WST plugin from the Europa Discovery Site, and it worked fine.

TheMythicalTheMythical
Thanks, the Force.com IDE on 3.3.2 works fine, but doesn't work on 3.4.2...
JonPJonP

I still don't know why you are seeing those OOM issues on 3.4.2 when you've cranked up the JVM heap size (per the other thread).  There are some other JVM/Eclipse memory spaces you could try beefing up, like permgen, but usually those give more distinctive error messages when they run out of memory.

 

I almost always run Eclipse with the default memory settings and it runs fine. Do you have an alternate computer you can try?

TheMythicalTheMythical
I tried on my laptop with version 3.4.2, still get oom error and sometimes permgen out of memory. Thanks!